net.sf.jasperreports.engine.fill

## Class JRGzipVirtualizer

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer
  - - net.sf.jasperreports.engine.fill.JRGzipVirtualizer

- All Implemented Interfaces:
    JRVirtualizer

      public class JRGzipVirtualizer
      extends JRAbstractLRUVirtualizer

  GZips the pages that it doesn't need, but keeps them in memory.
  Version:
    $Id: JRGzipVirtualizer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    John Bindel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `JRAbstractLRUVirtualizer.Cache, JRAbstractLRUVirtualizer.CacheReference`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `lastObjectMap, lastObjectRef, lastObjectSet, serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRGzipVirtualizer(int maxSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` Called when we are done with the virtualizer and wish to cleanup any resources it has.
    `protected void` | `dispose(java.lang.String virtualId)` Removes the external data associated with a virtualizable object.
    `protected void` | `pageIn(JRVirtualizable o)` Reads a virtualizable object's data from an external storage.
    `protected void` | `pageOut(JRVirtualizable o)` Writes a virtualizable object's data to an external storage.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `clearData, deregisterObject, dispose, disposeAll, evict, finalize, isEvictable, isPagedOut, isPagedOutAndTouch, isReadOnly, isReadOnly, lastObject, readData, registerObject, requestData, reset, setLastObject, setReadOnly, touch, virtualizeData, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRGzipVirtualizer

          public JRGzipVirtualizer(int maxSize)

      Parameters:
        `maxSize` - the maximum size (in JRVirtualizable objects) of the paged in cache.

  - ### Method Detail

    - #### dispose

          protected void dispose(java.lang.String virtualId)

      Description copied from class: `JRAbstractLRUVirtualizer`
      Removes the external data associated with a virtualizable object.
      Specified by:
        `dispose` in class `JRAbstractLRUVirtualizer`
      Parameters:
        `virtualId` - the ID of the virtualizable object

    - #### pageOut

          protected void pageOut(JRVirtualizable o)
                          throws java.io.IOException

      Description copied from class: `JRAbstractLRUVirtualizer`
      Writes a virtualizable object's data to an external storage.
      Specified by:
        `pageOut` in class `JRAbstractLRUVirtualizer`
      Parameters:
        `o` - a virtualizable object
      Throws:
        `java.io.IOException`

    - #### pageIn

          protected void pageIn(JRVirtualizable o)
                         throws java.io.IOException

      Description copied from class: `JRAbstractLRUVirtualizer`
      Reads a virtualizable object's data from an external storage.
      Specified by:
        `pageIn` in class `JRAbstractLRUVirtualizer`
      Parameters:
        `o` - a virtualizable object
      Throws:
        `java.io.IOException`

    - #### cleanup

          public void cleanup()

      Description copied from interface: `JRVirtualizer`
      Called when we are done with the virtualizer and wish to cleanup any resources it has.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com